# Class JTree.TreeSelectionRedirector

java.lang.Object
javax.swing.JTree.TreeSelectionRedirector

All Implemented Interfaces:
  `Serializable, EventListener, TreeSelectionListener`

Enclosing class:
  `JTree`

protected class JTree.TreeSelectionRedirector extends Object implements Serializable, TreeSelectionListener
Handles creating a new `TreeSelectionEvent` with the `JTree` as the source and passing it off to all the listeners.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

Since:
  1.2

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TreeSelectionRedirector()`
Constructs a `TreeSelectionRedirector`.

## Method Summary

Modifier and Type
Method
Description
`void`
`valueChanged(TreeSelectionEvent e)`
Invoked by the `TreeSelectionModel` when the selection changes.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### TreeSelectionRedirector

protected TreeSelectionRedirector()
Constructs a `TreeSelectionRedirector`.

## Method Details

### valueChanged

public void valueChanged(TreeSelectionEvent e)
Invoked by the `TreeSelectionModel` when the selection changes.

Specified by:
  `valueChanged` in interface `TreeSelectionListener`
Parameters:
  `e` - the `TreeSelectionEvent` generated by the `TreeSelectionModel`